<%-- 
%(C) COPYRIGHT International Business Machines Corp. 2013, All Rights Reserved
%US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--%>
<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%><%!
public static Cookie getCookieByName(String cookieName, Cookie[] cookies)
{
    Cookie result = null;
    if (cookies != null)
    {
        for (Cookie cookie : cookies)
        {
            if (cookie.getName().equals(cookieName))
            {
                result = cookie;
                break;
            }
        }
    }
    return result;
}
public static void cleanCookie(HttpServletResponse response, Cookie cookie, String path)
{
    Cookie clone = new Cookie(cookie.getName(), "");
    clone.setHttpOnly(true);
    clone.setPath(path);
    clone.setMaxAge(0);
    response.addCookie(clone);
}
%><%
Cookie[] cookies = request.getCookies();
String contextPath = request.getContextPath();
Cookie jsessionCookie = getCookieByName("cam_passport", cookies);
if (jsessionCookie != null)
{
    cleanCookie(response, jsessionCookie, contextPath);
}
%>
<%
boolean ret = false;
HttpSession httpSession = request.getSession(false);
if (httpSession != null) {
    ret = true;
    httpSession.invalidate();
}
%><%= "{ \"ret\": \"" + ret + "\" }" %>
<html>
<head>
<script type="text/javascript">
    window.onload = function () {
    	var xmlhttp;
		if (window.XMLHttpRequest)
		{// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		}
		else
		{// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		
		xmlhttp.open("GET","@SUITE_PROTOCOL@://@SUITE_HOST@:@SUITE_PORT@/ibmcognos/servlet/Gateway?b_action=xts.run&m=portal/logoff.xts&h_CAM_action=logoff",true);
		xmlhttp.send();
		
    }
</script>
</head>
<body>
</body>
</html>